# DataExchange
TKSTEP209
StepFEA

# StepFEA_HSequenceOfNodeRepresentation Class Reference

`#include <StepFEA_HSequenceOfNodeRepresentation.hxx>`

## Public Member Functions

| StepFEA_HSequenceOfNodeRepresentation ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(StepFEA_NodeRepresentation)&anItem)
Standard_EXPORT void | Append (const Handle(StepFEA_HSequenceOfNodeRepresentation)&aSequence)
Standard_EXPORT void | Prepend (const Handle(StepFEA_NodeRepresentation)&anItem)
Standard_EXPORT void | Prepend (const Handle(StepFEA_HSequenceOfNodeRepresentation)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(StepFEA_NodeRepresentation)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(StepFEA_HSequenceOfNodeRepresentation)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(StepFEA_NodeRepresentation)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(StepFEA_HSequenceOfNodeRepresentation)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_StepFEA_HSequenceOfNodeRepresentation | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(StepFEA_NodeRepresentation)&anItem)
Standard_EXPORT const Handle_StepFEA_NodeRepresentation & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_StepFEA_NodeRepresentation & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const StepFEA_SequenceOfNodeRepresentation & | Sequence () const
StepFEA_SequenceOfNodeRepresentation & | ChangeSequence ()
Standard_EXPORT Handle_StepFEA_HSequenceOfNodeRepresentation | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepFEA_SequenceOfNodeRepresentation | mySequence

## Constructor & Destructor Documentation

StepFEA_HSequenceOfNodeRepresentation::StepFEA_HSequenceOfNodeRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::Append | ( | const Handle(StepFEA_HSequenceOfNodeRepresentation)& | aSequence | ) |

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::Append | ( | const Handle(StepFEA_NodeRepresentation)& | anItem | ) |

StepFEA_SequenceOfNodeRepresentation& StepFEA_HSequenceOfNodeRepresentation::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_StepFEA_NodeRepresentation& StepFEA_HSequenceOfNodeRepresentation::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::Clear | ( |  | ) |

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const StepFEA_HSequenceOfNodeRepresentation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(StepFEA_HSequenceOfNodeRepresentation)& | aSequence
| ) |

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(StepFEA_NodeRepresentation)& | anItem
| ) |

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(StepFEA_HSequenceOfNodeRepresentation)& | aSequence
| ) |

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(StepFEA_NodeRepresentation)& | anItem
| ) |

Standard_Boolean StepFEA_HSequenceOfNodeRepresentation::IsEmpty | ( |  | ) | const

Standard_Integer StepFEA_HSequenceOfNodeRepresentation::Length | ( |  | ) | const

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::Prepend | ( | const Handle(StepFEA_HSequenceOfNodeRepresentation)& | aSequence | ) |

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::Prepend | ( | const Handle(StepFEA_NodeRepresentation)& | anItem | ) |

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::Reverse | ( |  | ) |

const StepFEA_SequenceOfNodeRepresentation& StepFEA_HSequenceOfNodeRepresentation::Sequence | ( |  | ) | const

Standard_EXPORT void StepFEA_HSequenceOfNodeRepresentation::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(StepFEA_NodeRepresentation)& | anItem
| ) |

Standard_EXPORT Handle_StepFEA_HSequenceOfNodeRepresentation StepFEA_HSequenceOfNodeRepresentation::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_StepFEA_HSequenceOfNodeRepresentation StepFEA_HSequenceOfNodeRepresentation::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_StepFEA_NodeRepresentation& StepFEA_HSequenceOfNodeRepresentation::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

StepFEA_SequenceOfNodeRepresentation StepFEA_HSequenceOfNodeRepresentation::mySequence `[private]`

The documentation for this class was generated from the following file:

- StepFEA_HSequenceOfNodeRepresentation.hxx